Skip to main content
`Ctrl`+`K`

# MatSeqAIJGetArray

gives read/write access to the array where the data for a `MATSEQAIJ` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJGetArray(Mat A, PetscScalar *array[])

Not Collective

## Input Parameter

- A - a `MATSEQAIJ` matrix

## Output Parameter

- array - pointer to the data

## See Also

Matrices, `Mat`, `MatSeqAIJRestoreArray()`

## Level

intermediate

## Location

src/mat/impls/aij/seq/aij.c

## Implementations

MatSeqAIJGetArray_SeqAIJ() in src/mat/impls/aij/seq/aij.c
MatSeqAIJGetArray_SeqAIJKokkos() in src/mat/impls/aij/seq/kokkos/aijkok.kokkos.cxx
MatSeqAIJGetArray_SeqAIJCUSPARSE() in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatSeqAIJGetArray_SeqAIJHIPSPARSE() in src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.c
MatSeqAIJGetArray_SeqAIJViennaCL() in src/mat/impls/aij/seq/seqviennacl/aijviennacl.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages